Control
SPA

Control type declarations. More...

## Files

file | control.h
| `spa/control/control.h`
file | type-info.h
| `spa/control/type-info.h`

## Macros

#define | SPA_TYPE_INFO_Control SPA_TYPE_INFO_ENUM_BASE "Control"
#define | SPA_TYPE_INFO_CONTROL_BASE SPA_TYPE_INFO_Control ":"

## Enumerations

enum | spa_control_type { SPA_CONTROL_Invalid , SPA_CONTROL_Properties , SPA_CONTROL_Midi , SPA_CONTROL_OSC , _SPA_CONTROL_LAST }
| Different Control types. More...

## Variables

static const struct spa_type_info | spa_type_control []

## Detailed Description

Control type declarations.

## Macro Definition Documentation

## SPA_TYPE_INFO_Control

#define SPA_TYPE_INFO_Control SPA_TYPE_INFO_ENUM_BASE "Control"

## SPA_TYPE_INFO_CONTROL_BASE

#define SPA_TYPE_INFO_CONTROL_BASE SPA_TYPE_INFO_Control ":"

## Enumeration Type Documentation

## spa_control_type

enum spa_control_type

Different Control types.

Enumerator
SPA_CONTROL_Invalid |
SPA_CONTROL_Properties | data contains a SPA_TYPE_OBJECT_Props
SPA_CONTROL_Midi | data contains a spa_pod_bytes with raw midi data
SPA_CONTROL_OSC | data contains a spa_pod_bytes with an OSC packet
_SPA_CONTROL_LAST | not part of ABI

## Variable Documentation

## spa_type_control

const struct spa_type_info spa_type_control[]

static